Bug 1730721 - absolute path used for default state and runtime dir by default
Summary: absolute path used for default state and runtime dir by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: httpd-2.4-module
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Luboš Uhliarik
QA Contact: Branislav Náter
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 12:58 UTC by Luboš Uhliarik
Modified: 2020-12-14 13:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1828828 (view as bug list)
Environment:
Last Closed: 2019-11-05 21:12:42 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3436 0 None None None 2019-11-05 21:13:14 UTC

Description Luboš Uhliarik 2019-07-17 12:58:02 UTC
Description of problem:
Instead of patching upstream config.layout, supply are own config.layout with proper paths + change paths for runtime dir and state dir. 

Previous values of runtime and state dir were:

runtimedir: /run/httpd
statedir: /var/lib/httpd

NEW values:

runtimedir: /etc/httpd/run
statedir: /etc/httpd/state

Also relative paths are correctly set. The whole change looks like:

diff of old/new /usr/include/httpd/ap_config_layout.h:
53,54c53,54
< #define DEFAULT_EXP_RUNTIMEDIR "/run/httpd"
< #define DEFAULT_REL_RUNTIMEDIR "/run/httpd"
 ---
> #define DEFAULT_EXP_RUNTIMEDIR "/etc/httpd/run"
> #define DEFAULT_REL_RUNTIMEDIR "run"
59,60c59,60
< #define DEFAULT_EXP_STATEDIR "/var/lib/httpd"
< #define DEFAULT_REL_STATEDIR "/var/lib/httpd"
 ---
> #define DEFAULT_EXP_STATEDIR "/etc/httpd/state"
> #define DEFAULT_REL_STATEDIR "state"


ServerRoot is set to /etc/httpd, but for compatibility there are symlinks in /etc/httpd/{state,run}.

When ServerRoot is set by -d param when executing httpd, relative paths will be used e.g. $ServerRoot/state and $ServerRoot/run.


Version-Release number of selected component (if applicable):
httpd-2.4.37-14

How reproducible:
TBD

Steps to Reproduce:
1. TBD

Actual results:
- when -d param is used, absolute paths /var/lib/httpd and /run/httpd are used.


Expected results:
- when -d param is used, httpd should use $ServerRoot/state and $ServerRoot/run dirs.

Additional info:
I will supply reproducers or TC.

Comment 6 errata-xmlrpc 2019-11-05 21:12:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3436


Note You need to log in before you can comment on or make changes to this bug.